package com.kingdee.eas.custom.facade.abnormal;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AbnormalFacadeFactory
{
    private AbnormalFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B62C862C") ,com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B62C862C") ,com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B62C862C"));
    }
    public static com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.abnormal.IAbnormalFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B62C862C"));
    }
}